[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TForm.WSRegisterClass

Creates an association between the class type and its widgetset class.

## Declaration

Source position: forms.pp line 838

`protected class procedure TForm.WSRegisterClass; override;`

## Description

WSRegisterClass is an overridden class procedure used to register the widgetset class used to create new instances of the form.

## See also

TCustomForm.WSRegisterClass |  | Registers this component class with the current WidgetSet.